## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMSupport Class Reference

`#include <DOMSupport.hpp>`

Inheritance diagram for DOMSupport:

[legend]
List of all members.

## Public Methods

- DOMSupport ()
- virtual ~DOMSupport ()
- virtual void reset ()=0
- virtual const XalanDOMString& getUnparsedEntityURI (const XalanDOMString &theName, const XalanDocument &theDocument) const=0
    Retrieves the URI of the named unparsed entity from the supplied document. More...
- virtual bool isNodeAfter (const XalanNode &node1, const XalanNode &node2) const=0
    Determine if a node is after another node, in document order. More...

## Constructor & Destructor Documentation

DOMSupport::DOMSupport ( | )

DOMSupport::~DOMSupport ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & DOMSupport::getUnparsedEntityURI ( | const XalanDOMString & theName,
| const XalanDocument & theDocument ) const`[pure virtual]`

  | Retrieves the URI of the named unparsed entity from the supplied document. Parameters:
  theName | The name of the entity
  theDocument | The document that contains the entity
Returns: The URI of the entity Reimplemented in DOMSupportDefault, XalanSourceTreeDOMSupport, XalanDefaultParsedSourceDOMSupport, and XercesDOMSupport.

bool DOMSupport::isNodeAfter ( | const XalanNode & node1,
| const XalanNode & node2 ) const`[pure virtual]`

  | Determine if a node is after another node, in document order. Parameters:
  node1 | The first node
  node2 | The second node
Returns: true if node1 one is after node2, or false if it is not. Reimplemented in DOMSupportDefault, XalanSourceTreeDOMSupport, XalanDefaultParsedSourceDOMSupport, and XercesDOMSupport.

void DOMSupport::reset ( | )`[pure virtual]`

| Reimplemented in DOMSupportDefault, XalanSourceTreeDOMSupport, XalanDefaultParsedSourceDOMSupport, and XercesDOMSupport.

The documentation for this class was generated from the following file:

- DOMSupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.